## xfishtank 2.2

=== fishtogif/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

###########################################################################
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.77 89/12/18 17:01:37 jim Exp $
#
# Platform-specific parameters may be set in the appropriate .cf
# configuration files.  Site-wide parameters may be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor doesn't define any unique symbols, you'll need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make Makefile", "make Makefiles", or "make World").
#
# If you absolutely can't get imake to work, you'll need to set the
# variables at the top of each Makefile as well as the dependencies at the
# bottom (makedepend will do this automatically).
#

###########################################################################
# platform-specific configuration parameters - edit sun.cf to change

SYSLIBS= -lXt -lX11

# platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
# operating system:  SunOS 4.0.3

###########################################################################
# site-specific configuration parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.21 89/12/06 11:46:50 jim Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
           RANLIB = ranlib
  RANLIBINSTFLAGS =
               RM = rm -f
     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0664
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

          DESTDIR =

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS = -D_NO_PROTO -DSTRINGS_ALIGNED -DNO_REGEX -DNO_ISDIR -DUSE_RE_COMP -DUSE_GETWD
      COMPATFLAGS =

      ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(COMPATFLAGS)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
   LDCOMBINEFLAGS = -X -r

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

###########################################################################
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

###########################################################################
# X Window System make variables; this need to be coordinated with rules
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

          PATHSEP = /
        USRLIBDIR = $(DESTDIR)/usr/lib
           BINDIR = $(DESTDIR)/usr/bin/X11
          INCROOT = $(DESTDIR)/usr/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = $(DESTDIR)/usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           AWMDIR = $(LIBDIR)/awm
           TWMDIR = $(LIBDIR)/twm
           GWMDIR = $(LIBDIR)/gwm
          MANPATH = $(DESTDIR)/usr/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)n
        LIBMANDIR = $(MANSOURCEPATH)3
      XAPPLOADDIR = $(LIBDIR)/app-defaults

        SOXLIBREV = 4.2
          SOXTREV = 4.0
         SOXAWREV = 4.0
        SOOLDXREV = 4.0
         SOXMUREV = 4.0
        SOXEXTREV = 4.0

       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb
            FONTC = bdftosnf
        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier.sh

        CONFIGSRC = $(TOP)/config
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
     MKFONTDIRSRC = $(FONTSRC)/mkfontdir
     EXTENSIONSRC = $(TOP)/extensions

  DEPEXTENSIONLIB = $(USRLIBDIR)/libXext.a
     EXTENSIONLIB =  -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau

        DEPXMULIB =
           XMULIB = -lXmu

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

 LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
         LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
          LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
          LINTXAW = $(USRLIBDIR)/llib-lXaw.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

      USRINCDIR = $(DESTDIR)/usr/include
        TESTSRC = $(TOP)/tests
     TESTSRCLIB = $(TESTSRC)/lib
     TESTSRCBIN = $(TESTSRC)/bin
       COMMONPP = $(TESTSRCBIN)/Commonpp

     TESTCOMSRC = $(TESTSRCLIB)/Common
    MTOOLKITSRC = $(LIBSRC)/Xt
     MWIDGETSRC = $(LIBSRC)/Xm
   MRESOURCESRC = $(LIBSRC)/Mrm
         UILSRC = $(CLIENTSRC)/uil
            UIL = $(UILSRC)/uil
      XMTOOLLIB = $(MTOOLKITSRC)/libXt.a
          XMLIB = $(MWIDGETSRC)/libXm.a
   MRESOURCELIB = $(MRESOURCESRC)/libMrm.a
         UILLIB = $(UILSRC)/libUil.a
     TESTCOMLIB = $(TESTCOMSRC)/libCommon.a

  LINTMRESOURCE = $(MRESOURCESRC)/libMrm.a
LINTXMWIDGETLIB = $(MWIDGETSRC)/llib-l/Xm.ln
     LINTXMTOOL = $(MTOOLKITSRC)/llib-lXt.ln
     LINTUILLIB = $(UILSRC)/llib-lUil.ln

        DEPLIBS =

        DEPLIBS1 = $(DEPLIBS)
        DEPLIBS2 = $(DEPLIBS)
        DEPLIBS3 = $(DEPLIBS)

###########################################################################
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.67 89/12/18 17:14:15 jim Exp $

###########################################################################
# start of Imakefile

LOCAL_LIBRARIES =

SRCS = fishtogif.c writegif.c
OBJS = fishtogif.o writegif.o

 PROGRAM = fishtogif

all:: fishtogif

fishtogif: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

saber_fishtogif:
	#load $(ALLDEFINES) $(SRCS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

osaber_fishtogif:
	#load $(ALLDEFINES) $(OBJS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

install:: fishtogif
	$(INSTALL) -c $(INSTPGMFLAGS)   fishtogif $(BINDIR)

install.man:: fishtogif.man
	$(INSTALL) -c $(INSTMANFLAGS) fishtogif.man $(MANDIR)/fishtogif.n

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

###########################################################################
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) \#*

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

saber:
	#load $(ALLDEFINES) $(SRCS)

osaber:
	#load $(ALLDEFINES) $(OBJS)

###########################################################################
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

###########################################################################
# dependencies generated by makedepend

=== gofish/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

###########################################################################
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.77 89/12/18 17:01:37 jim Exp $
#
# Platform-specific parameters may be set in the appropriate .cf
# configuration files.  Site-wide parameters may be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor doesn't define any unique symbols, you'll need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make Makefile", "make Makefiles", or "make World").
#
# If you absolutely can't get imake to work, you'll need to set the
# variables at the top of each Makefile as well as the dependencies at the
# bottom (makedepend will do this automatically).
#

###########################################################################
# platform-specific configuration parameters - edit sun.cf to change

SYSLIBS=$(MTOOLKITSRC)/libXt.a $(XLIBSRC)/libX11.a

# platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
# operating system:  SunOS 4.1.1

###########################################################################
# site-specific configuration parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.21 89/12/06 11:46:50 jim Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
           RANLIB = ranlib
  RANLIBINSTFLAGS =
               RM = rm -f
     STD_INCLUDES = -I$(X11LIB)/include
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0666
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

          DESTDIR = /stg3/X.V11R4/sparc

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS = -D_NO_PROTO -DSTRINGS_ALIGNED -DNO_REGEX -DNO_ISDIR -DUSE_RE_COMP -DUSE_GETWD
      COMPATFLAGS =

      ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(COMPATFLAGS)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
   LDCOMBINEFLAGS = -X -r

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

###########################################################################
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

###########################################################################
# X Window System make variables; this need to be coordinated with rules
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

          PATHSEP = /
        USRLIBDIR = /stg3/X.V11R4/sparc/lib
           BINDIR = $(DESTDIR)/bin
          INCROOT = $(DESTDIR)/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = $(DESTDIR)/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           AWMDIR = $(LIBDIR)/awm
           TWMDIR = $(LIBDIR)/twm
           GWMDIR = $(LIBDIR)/gwm
          MANPATH = $(DESTDIR)/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)n
        LIBMANDIR = $(MANSOURCEPATH)3
      XAPPLOADDIR = $(LIBDIR)/app-defaults

       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb
            FONTC = bdftosnf
        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier.sh

	   X11TOP = /stg3/X.V11R4.comp/mit
	   X11LIB = /stg3/X.V11R4/sparc
        CONFIGSRC = $(TOP)/config
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(X11TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(X11TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(X11TOP)/lib/Xau
          XLIBSRC = $(X11TOP)/lib/X
           XMUSRC = $(X11TOP)/lib/Xmu
       TOOLKITSRC = $(X11TOP)/lib/Xt
       AWIDGETSRC = $(X11TOP)/lib/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(X11TOP)/lib/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
     MKFONTDIRSRC = $(FONTSRC)/mkfontdir
     EXTENSIONSRC = $(X11TOP)/extensions

  DEPEXTENSIONLIB = $(USRLIBDIR)/libXext.a
     EXTENSIONLIB =  -lXext

          DEPXLIB = $(DEPEXTENSIONLIB) $(USRLIBDIR)/libX11.a
             XLIB = $(EXTENSIONLIB)  -lX11

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau

        DEPXMULIB = $(USRLIBDIR)/libXmu.a
           XMULIB =  -lXmu

       DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
          OLDXLIB =  -loldX

      DEPXTOOLLIB = $(USRLIBDIR)/libXt.a
         XTOOLLIB =  -lXt

        DEPXAWLIB = $(USRLIBDIR)/libXaw.a
           XAWLIB =  -lXaw

 LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
         LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
          LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
          LINTXAW = $(USRLIBDIR)/llib-lXaw.ln

          DEPLIBS = $(LOCAL_LIBRARIES)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

      USRINCDIR = $(DESTDIR)/include
        TESTSRC = $(TOP)/tests
    MTOOLKITSRC = $(X11TOP)/lib/Xt
     MWIDGETSRC = $(LIBSRC)/Xm
   MRESOURCESRC = $(LIBSRC)/Mrm
         UILSRC = $(CLIENTSRC)/uil
            UIL = $(UILSRC)/uil
      XMTOOLLIB = $(MTOOLKITSRC)/libXt.a
          XMLIB = $(MWIDGETSRC)/libXm.a
   MRESOURCELIB = $(MRESOURCESRC)/libMrm.a
         UILLIB = $(UILSRC)/libUil.a
  LINTMRESOURCE = $(MRESOURCESRC)/libMrm.a
LINTXMWIDGETLIB = $(MWIDGETSRC)/llib-l/Xm.ln
     LINTXMTOOL = $(MTOOLKITSRC)/llib-lXt.ln
     LINTUILLIB = $(UILSRC)/llib-lUil.ln

###########################################################################
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.67 89/12/18 17:14:15 jim Exp $

###########################################################################
# start of Imakefile

LOCAL_LIBRARIES =

SRCS = gofish.c
OBJS = gofish.o

 PROGRAM = gofish

all:: gofish

gofish: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

install:: gofish
	$(INSTALL) -c $(INSTPGMFLAGS)   gofish $(BINDIR)

install.man:: gofish.man
	$(INSTALL) -c $(INSTMANFLAGS) gofish.man $(MANDIR)/gofish.n

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

###########################################################################
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) \#*

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

###########################################################################
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

###########################################################################
# dependencies generated by makedepend

=== pcfshtofish/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.65 91/07/25 17:50:17 rws Exp $

# -------------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.139 91/09/16 08:52:48 rws Exp $
#
# Platform-specific parameters may be set in the appropriate <vendor>.cf
# configuration files.  Site-specific parameters should be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor does not define any unique symbols, you will need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make World" the first time).
#

# -------------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

# -------------------------------------------------------------------------
# platform-specific configuration parameters - edit ultrix.cf to change

# platform:  $XConsortium: ultrix.cf,v 1.45 91/07/30 12:12:11 rws Exp $

# operating system:             Ultrix-32 4.2

# -------------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.2 91/07/30 20:26:44 rws Exp $

            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = cc
               AS = as

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -ax
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn
     STD_INCLUDES =
  STD_CPP_DEFINES = -DX_LOCALE -DX_WCHAR -D_WCHAR_T_
      STD_DEFINES = -DX_LOCALE -DX_WCHAR -D_WCHAR_T_
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    PROTO_DEFINES = -DFUNCPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      CDEBUGFLAGS = -O
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)

           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS) $(LOCAL_LDFLAGS)

   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =

        MACROFILE = ultrix.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

# -------------------------------------------------------------------------
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.138 91/09/10 09:02:12 rws Exp $

# -------------------------------------------------------------------------
# X Window System make variables; this need to be coordinated with rules

          PATHSEP = /
        USRLIBDIR = /usr/lib
           BINDIR = /usr/bin/X11
          INCROOT = /usr/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
          MANPATH = /usr/man
    MANSOURCEPATH = $(MANPATH)/man
        MANSUFFIX = n
     LIBMANSUFFIX = 3
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
           NLSDIR = $(LIBDIR)/nls
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb

            FONTC = bdftopcf

        MKFONTDIR = mkfontdir
        MKDIRHIER = 	/bin/sh $(BINDIR)/mkdirhier

        CONFIGSRC = $(TOP)/config
       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
      BDFTOSNFSRC = $(FONTSRC)/clients/bdftosnf
      BDFTOPCFSRC = $(FONTSRC)/clients/bdftopcf
     MKFONTDIRSRC = $(FONTSRC)/clients/mkfontdir
         FSLIBSRC = $(FONTSRC)/lib/fs
    FONTSERVERSRC = $(FONTSRC)/server
     EXTENSIONSRC = $(TOP)/extensions
         XILIBSRC = $(EXTENSIONSRC)/lib/xinput
      PHIGSLIBSRC = $(EXTENSIONSRC)/lib/PEX

  DEPEXTENSIONLIB =  $(USRLIBDIR)/libXext.a
     EXTENSIONLIB = 			  -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)  $(USRLIBDIR)/libX11.a
             XLIB = $(EXTENSIONLIB) 			  -lX11

      DEPXAUTHLIB =  $(USRLIBDIR)/libXau.a
         XAUTHLIB = 			  -lXau
      DEPXDMCPLIB =  $(USRLIBDIR)/libXdmcp.a
         XDMCPLIB = 			  -lXdmcp

        DEPXMULIB =  $(USRLIBDIR)/libXmu.a
           XMULIB = 			  -lXmu

       DEPOLDXLIB =  $(USRLIBDIR)/liboldX.a
          OLDXLIB = 			  -loldX

      DEPXTOOLLIB =  $(USRLIBDIR)/libXt.a
         XTOOLLIB = 			  -lXt

        DEPXAWLIB =  $(USRLIBDIR)/libXaw.a
           XAWLIB = 			  -lXaw

        DEPXILIB =  $(USRLIBDIR)/libXi.a
           XILIB = 			  -lXi

        DEPPHIGSLIB =  $(USRLIBDIR)/libphigs.a
           PHIGSLIB = 			  -lphigs

       DEPXBSDLIB =  $(USRLIBDIR)/libXbsd.a
          XBSDLIB = 			  -lXbsd

 LINTEXTENSIONLIB =  $(LINTLIBDIR)/llib-lXext.ln
         LINTXLIB =  $(LINTLIBDIR)/llib-lX11.ln
          LINTXMU =  $(LINTLIBDIR)/llib-lXmu.ln
        LINTXTOOL =  $(LINTLIBDIR)/llib-lXt.ln
          LINTXAW =  $(LINTLIBDIR)/llib-lXaw.ln
           LINTXI =  $(LINTLIBDIR)/llib-lXi.ln
        LINTPHIGS =  $(LINTLIBDIR)/llib-lphigs.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

# -------------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.123 91/09/16 20:12:16 rws Exp $

# -------------------------------------------------------------------------
# start of Imakefile

LOCAL_LIBRARIES =

SRCS = pcfshtofish.c
OBJS = pcfshtofish.o

        PROGRAM = pcfshtofish

all:: pcfshtofish

pcfshtofish: $(OBJS) $(DEPLIBS)
	 $(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

saber_pcfshtofish:: $(SRCS)
	# load $(ALLDEFINES) $(SRCS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

osaber_pcfshtofish:: $(OBJS)
	# load $(ALLDEFINES) $(OBJS) $(LOCAL_LIBRARIES) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

install:: pcfshtofish
	 @if [ -d $(DESTDIR)$(BINDIR) ]; then set +x; \
		else (set -x; $(MKDIRHIER) $(DESTDIR)$(BINDIR)); fi
	$(INSTALL) -c $(INSTPGMFLAGS)  pcfshtofish $(DESTDIR)$(BINDIR)

install.man:: pcfshtofish.man
	 @if [ -d $(DESTDIR)$(MANDIR) ]; then set +x; \
		else (set -x; $(MKDIRHIER) $(DESTDIR)$(MANDIR)); fi
	$(INSTALL) -c $(INSTMANFLAGS) pcfshtofish.man $(DESTDIR)$(MANDIR)/pcfshtofish.$(MANSUFFIX)

depend::
	$(DEPEND) $(DEPENDFLAGS) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

# -------------------------------------------------------------------------
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) "#"*

Makefile::
	-@if [ -f Makefile ]; then set -x; \
		$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

saber:
	# load $(ALLDEFINES) $(SRCS)

osaber:
	# load $(ALLDEFINES) $(OBJS)

# -------------------------------------------------------------------------
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

# -------------------------------------------------------------------------
# dependencies generated by makedepend

## xfishtank 2.3

=== debian/changelog ===
xfishtank (2.3-2) unstable; urgency=low

  * Fix segfault when there is no DISPLAY in environment (Closes: #716500)

 -- Marius Gavrilescu <marius@ieval.ro>  Thu, 11 Jul 2013 10:56:46 +0300

xfishtank (2.3-1) unstable; urgency=low

  * New maintainer (Closes: #540830)
  * New upstream version
  * Move xfishtank to /usr/games
  * Set Standards-Version to 3.9.4
  * Add hardening
  * Remove the -p switch from the manpage
  * Make package lintian-clean
  * Add Homepage and Vcs-* to debian/control

 -- Marius Gavrilescu <marius@ieval.ro>  Tue, 09 Jul 2013 19:26:17 +0300

xfishtank (2.2-26) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA group.
  * Moved to section "games" to fix override disparities.
  * build-{arch,indep} targets added.
  * Standards-Version set to 3.9.3.
  * Set debhelper compatibility level to 9.

 -- Emanuele Rocca <ema@debian.org>  Sat, 16 Jun 2012 16:35:09 +0000

xfishtank (2.2-25.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Copyright as proposed by Bernhard R. Link and Daniel T Chen
    (Closes: #642116)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 16:51:43 +0100

xfishtank (2.2-25.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct build dependencies (Closes: #485546, #515415)
  * Remove obsolete source and diff targets.
  * Don't ignore errors by make clean.
  * Add a dependency on misc:Depends
  * Add a versioned dependency on debhelper 7

 -- Raphael Geissert <geissert@debian.org>  Wed, 08 Jul 2009 03:01:55 -0500

xfishtank (2.2-25) unstable; urgency=low

  * Maintainer Upload, incorporates NMU
  * Updated dh compat level to v7

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Wed, 10 Sep 2008 20:22:17 -0500

xfishtank (2.2-24.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libxext-dev, fixes FTBFS (Closes: #486972)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 21:44:24 +0200

xfishtank (2.2-24) unstable; urgency=low

  * Move binaries out of /usr/X11R6/bin (Closes: #362906)

 -- Eric Schwartz (Skif) <emschwar@debian.org>  Fri, 21 Jul 2006 01:44:19 -0600

xfishtank (2.2-23.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346831)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 14:47:32 +0100

xfishtank (2.2-23) unstable; urgency=low

  * Updated vroot.h to handle Xinerama (closes: #217490)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 18 Nov 2003 22:09:50 -0700

xfishtank (2.2-22) unstable; urgency=low

  * Applied patch from Steve Kemp (closes: #176686)

 -- Eric Schwartz <emschwar@debian.org>  Mon,  7 Apr 2003 19:10:04 -0600

xfishtank (2.2-21) unstable; urgency=low

  * Checks for DefaultDepth > 8, instead of >= 16, as per patch by
    Matthew Marjanovic (closes: #144091)
  * Uses latest vroot.h from ftp.x.org/contrib/libraries (closes: #134253)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 May 2002 22:55:56 -0600

xfishtank (2.2-20) unstable; urgency=low

  * Added MANSRCSUFFIX, per patch provided by tomas@groupe-internet.com
    (closes: #107801)
  * Added patch from Randolph Chung to build on ia64 (closes: #110214)
  * Patch also fixes build problems reported by Lamont (closes: #105115)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 28 Aug 2001 09:01:17 -0600

xfishtank (2.2-19) unstable; urgency=low

  * fixed build-deps to include xutils (closes: #102280)

 -- Eric Schwartz <emschwar@debian.org>  Tue, 26 Jun 2001 02:26:50 -0600

xfishtank (2.2-18) unstable; urgency=low

  * rewrote option parsing code (closes: #63725)

 -- Eric Schwartz <emschwar@rmi.net>  Sat, 23 Jun 2001 18:21:00 -0600

xfishtank (2.2-17) unstable; urgency=low

  * Updated Maintainer

 -- Eric M. Schwartz <emschwar@debian.org>  Mon, 21 Aug 2000 21:52:00 -0700

xfishtank (2.2-16) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 18:20:14 -0800

xfishtank (2.2-15) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 21:14:45 -0700

xfishtank (2.2-14) unstable; urgency=low

  * Removed space after \ continuation character in menu file.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Aug 1998 14:23:36 -0700

xfishtank (2.2-13) unstable; urgency=low

  * Fixed minor lintian errors.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 20:32:57 -0800

xfishtank (2.2-12) unstable; urgency=low

  * Move man page into proper directory.

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Feb 1998 14:10:58 -0800

xfishtank (2.2-11) unstable; urgency=low

  * Updated to latest standards version (was already compilent, AFAIK)
    #16781

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jan 1998 12:03:54 -0500

xfishtank (2.2-10) unstable; urgency=low

  * Package got corrupted on master, reupload of .orig.tar.gz.

 -- Joey Hess <joeyh@debian.org>  Wed,  3 Dec 1997 13:38:18 -0500

xfishtank (2.2-9) unstable; urgency=low

  * Fixed copyright file to actually give the copyright info (#14965), as
    well as the upstream source location.
  * Use debhelper.
  * I noticed that the source package contained gif code. Rather than move
    this package to non-free, I have created a new source package, with the
    gif code removed.

 -- Joey Hess <joeyh@debian.org>  Sun, 16 Nov 1997 20:05:26 -0500

xfishtank (2.2-8) unstable; urgency=low

  * Complied with libc6 xlib (#11954).
  * New maintainer.
  * Added a menu file.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Sep 1997 01:15:13 -0400

xfishtank (2.2-7) unstable; urgency=low

  * Orphaned the package.

 -- Vincent Renardias <vincent@waw.com>  Fri, 2 May 1997 01:16:46 +0200

xfishtank (2.2-6) unstable; urgency=low

  * Recompiled with libc6.

 -- Vincent Renardias <vincent@waw.com>  Fri, 2 May 1997 01:16:46 +0200

xfishtank (2.2-5) unstable; urgency=low

  * Wrote manpage. (Corrects Bug #5592)



=== debian/control ===
Source: xfishtank
Section: games
Priority: optional
Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libxext-dev
Maintainer: Marius Gavrilescu <marius@ieval.ro>
Homepage: http://jim.rees.org/computers/xfishtank.html
Vcs-Browser: http://git.ieval.ro/?p=xfishtank.git;a=summary
Vcs-Git: http://git.ieval.ro/git/xfishtank.git
Standards-Version: 3.9.4

Package: xfishtank
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	xmkmf -a
	dh_auto_build -- CCOPTIONS="$(shell dpkg-buildflags --get CFLAGS)" EXTRA_LOAD_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/games

=== debian/watch ===
#version=3

# Enable the following when https://github.com/jim-rees/xfishtank/issues/3 is fixed
#https://github.com/jim-rees/xfishtank/tags .*/(\d[\d\.]*)\.tar\.gz

## xfishtank 2.5

=== debian/changelog ===
xfishtank (2.5-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:17 +0000

xfishtank (2.5-1) unstable; urgency=low

  * New upstream version
  * Re-add background image support (Closes: #645128)

 -- Marius Gavrilescu <marius@ieval.ro>  Fri, 09 Aug 2013 16:22:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xfishtank
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libxext-dev
-Maintainer: Marius Gavrilescu <marius@ieval.ro>
+Build-Depends: debhelper (>= 9), libx11-dev, xutils-dev, libimlib2-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marius Gavrilescu <marius@ieval.ro>
 Homepage: http://jim.rees.org/computers/xfishtank.html
 Vcs-Browser: http://git.ieval.ro/?p=xfishtank.git;a=summary
 Vcs-Git: http://git.ieval.ro/git/xfishtank.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@
override_dh_auto_build:
	xmkmf -a
	dh_auto_build -- CCOPTIONS="$(shell dpkg-buildflags --get CFLAGS)" EXTRA_LOAD_FLAGS="$(shell dpkg-buildflags --get LDFLAGS)" SYS_LIBRARIES="-lImlib2" EXTENSIONLIB=
override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/games

## xfishtank 3.2.2

=== debian/changelog ===
xfishtank (3.2.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #1075662
  * Maintain package in Debian Games team
    Closes: #1106388
  * Add missing Build-Depends
  * Adapt d/rules to new upstream build system
  * Fix watch file
    Closes: #1032174
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/copyright:
     - Secure URI in copyright format (routine-update)
     - New download location
     - Review + remove old free text form README
  * Fix Homepage
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jun 2025 06:24:58 +0200

=== debian/control ===
Source: xfishtank
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Marius Gavrilescu <marius@ieval.ro>,
           Andreas Tille <tille@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libimlib2-dev,
               libxpm-dev,
               libxext-dev,
               libxt-dev,
               libgtk-3-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/games-team/xfishtank
Vcs-Git: https://salsa.debian.org/games-team/xfishtank.git
Homepage: https://ratrabbit.nl/ratrabbit/software/xfishtank/index.html

Package: xfishtank
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.

=== debian/watch ===
version=4
https://sf.net/xfishtank .+/xfishtank-@ANY_VERSION@@ARCHIVE_EXT@

## xfishtank 3.3.2

=== debian/changelog ===
xfishtank (3.3.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.3.2
  * Nump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Feb 2026 18:34:31 +0100

=== debian/control ===
Source: xfishtank
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Marius Gavrilescu <marius@ieval.ro>,
 Andreas Tille <tille@debian.org>,
Section: games
Build-Depends:
 debhelper-compat (= 13),
 libgtk-3-dev,
 libimlib2-dev,
 libx11-dev,
 libxext-dev,
 libxpm-dev,
 libxt-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/games-team/xfishtank
Vcs-Git: https://salsa.debian.org/games-team/xfishtank.git
Homepage: https://ratrabbit.nl/ratrabbit/software/xfishtank/index.html

Package: xfishtank
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: turns your X root into an aquarium
 Enjoy an animated aquarium background with a variety of tropical fish
 swimming in it on your screen.

=== debian/watch ===
Version: 5

Source: https://sf.net/xfishtank
Matching-Pattern: .+/xfishtank-@ANY_VERSION@@ARCHIVE_EXT@
